As MyMaths is a fully online resource you will need nothing but an Internet connection and an up-to-date web browser. A small proportion of the content still requires Flash, so for a seamless experience we recommend using a browser with inbuilt Flash, or a recent version of Flash installed on your computer. The remaining Flash-based content will be upgraded soon so that Flash is no longer required.

MyMaths will continue to work in older internet browsers but in order to get the best possible learning experience, you will need to upgrade to a more recent version. MyMaths will support the following browsers during this academic year:

Windows

  • IE 11 or above
  • Firefox 58.0 or above
  • Chrome 65.0 or above

Mac

  • Safari 10.0 or above
  • Firefox 58.0 or above
  • Chrome 65.0 or above

What should I do if my browser isn’t supported?

Please contact your school’s IT technician, who should be able to advise on whether it’s possible to update your browser or install a supported one on your machine.

You can continue to use MyMaths in an unsupported browser, but please be aware that a large part of the content will not work and that much of the functionality may be slow or perform in unusual ways.

Please visit our browser support page for more information.